Bug 149292 - RFE: add parameter to cman_tool to timeout wait commands
RFE: add parameter to cman_tool to timeout wait commands
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 19:42 EST by Adam "mantis" Manthei
Modified: 2009-04-24 10:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 10:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam "mantis" Manthei 2005-02-21 19:42:46 EST
Description of problem:
An option to cman_tool that allowed for a configurable timeout on the
wait commands (cman_tool wait, cman_tool -w join and cman_tool -w
leave) would be a useful feaure for initscripts.  This would give the
script the ability to terminate a cman_tool operation if it failed to
establish a connection or quorum on boot or shutdown.  

For eample: Quorum is needed in order for GFS to mount.  If the script
is unable to detect that the cluster is quorate after a predetermined
amount of time it should be allowed to fail so that the node can
continue to boot.   Failure to do so will result in operable nodes
until quorum is restablished.  In situations where only one node is
able to boot in the cluster, that the node will not be accessbile
unless booted into single user mode or run level 2.

Adding a timer to cman_tool is the easiest way to do this, but other
work arounds can be implemented in the initscripts if need be.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christine Caulfield 2005-02-23 11:45:34 EST
Added. This also does the retry mentioned in 149288. Please read the
man page before using it, it might not do quite what you expect in
some circumstances.

Checking in cman_tool/cman_tool.h;
/cvs/cluster/cluster/cman/cman_tool/cman_tool.h,v  <--  cman_tool.h
new revision: 1.3.2.3; previous revision: 1.3.2.2
done
Checking in cman_tool/join.c;
/cvs/cluster/cluster/cman/cman_tool/join.c,v  <--  join.c
new revision: 1.12.2.3; previous revision: 1.12.2.2
done
Checking in cman_tool/main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.12.2.5; previous revision: 1.12.2.4
done
Checking in man/cman_tool.8;
/cvs/cluster/cluster/cman/man/cman_tool.8,v  <--  cman_tool.8
new revision: 1.4.2.4; previous revision: 1.4.2.3
done
Comment 2 Christine Caulfield 2009-04-24 10:36:25 EDT
This has been in the product for ages now.

Note You need to log in before you can comment on or make changes to this bug.